"""Utils for scripts."""
import subprocess

LANG2TRANSFORMER = {
    "en": "bert-base-cased",
    "pl": "allegro/herbert-base-cased",
    "zh": "bert-base-chinese",
    "fi": "TurkuNLP/bert-base-finnish-cased-v1",
    "ko": "kykim/bert-kor-base",
    "de": "dbmdz/bert-base-german-cased",
    "ar": "aubmindlab/bert-base-arabertv2",
    "eu": "ixa-ehu/berteus-base-cased",
    "tr": "dbmdz/bert-base-turkish-cased"
}


def execute_command(command, output_file=None):
    command = [c for c in command.split() if c.strip()]
    if output_file:
        with open(output_file, "w") as f:
            subprocess.run(command, check=True, stdout=f)
    else:
        subprocess.run(command, check=True)
